关闭

CUnit-2.1-3在Linux系统上的安装

605人阅读 评论(1) 收藏 举报
分类:

1 下载CUnit-2.1-3安装包

(1)可先下载到Windows本地,

下载网址:https://sourceforge.net/projects/cunit/files/CUnit/2.1-3/CUnit-2.1-3.tar.bz2/download

再在Linux服务器终端上通过rz命令上传

(2)直接下载

wget https://sourceforge.net/projects/cunit/files/CUnit/2.1-3/CUnit-2.1-3.tar.bz2/download

2 解压CUnit-2.1-3.tar.bz2

tar -jxvf CUnit-2.1-3

【S注解】犯了个小错误,在网上查了tar的选项,一个网页上给出了正确的选项,但是没有"-"符号,导致解压文档没有内容

3 安装CUnit

./bootstrap <install directory>

【S注解】网上很多文档是关于CUnit-2.1-2的安装,2.1-2中,需要运行./configure <dir>,在这点上纠结了很久,把-3里面所有可运行的文件都打开看了一遍,还下载了-2打算用-2版本。

【S经验】出错:./bootstrap: line 10: libtoolize: command not found=》通过网上查找,确定为未安装libtool=》yum install libtool

./configure --prefix <install directory>

make

make install

至此,安装完毕。

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:10715次
    • 积分:290
    • 等级:
    • 排名:千里之外
    • 原创:18篇
    • 转载:9篇
    • 译文:0篇
    • 评论:2条
    最新评论